/*******************************************************************************
 * Copyright (c) 2000, 2008 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package java.lang;

public class Runtime {

	private static Runtime instance;

private Runtime() {
}

public static Runtime getRuntime() {
	if (instance == null) instance = new Runtime();
	return instance;
}

public long freeMemory() {
	return 0;
}

public void gc() {
}

public long totalMemory() {
	return 0;
}
}
